Loading...
Searching...
No Matches
pappso::FilterScaleFactorY Class Reference

rescales Y values given a tranformation factor More...

`#include <filterpass.h>`

Inheritance diagram for pappso::FilterScaleFactorY:

## Public Member Functions

| FilterScaleFactorY (double m_factor)
| FilterScaleFactorY (const FilterScaleFactorY &other)
virtual | ~FilterScaleFactorY ()
FilterScaleFactorY & | operator= (const FilterScaleFactorY &other)
Trace & | filter (Trace &data_points) const override
double | getScaleFactorY () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

double | m_factor = 0

## Detailed Description

rescales Y values given a tranformation factor

Definition at line 214 of file filterpass.h.

## Constructor & Destructor Documentation

## FilterScaleFactorY() [1/2]

FilterScaleFactorY::FilterScaleFactorY | ( | double | m_factor | ) |

Definition at line 432 of file filterpass.cpp.

: m_factor(dynamic)
{
}
pappso::FilterScaleFactorY::m_factor
double m_factor
Definition filterpass.h:217

## FilterScaleFactorY() [2/2]

FilterScaleFactorY::FilterScaleFactorY | ( | const FilterScaleFactorY & | other | ) |

Definition at line 435 of file filterpass.cpp.

: m_factor(other.m_factor)
{
}

## ~FilterScaleFactorY()

virtual pappso::FilterScaleFactorY::~FilterScaleFactorY | ( |  | ) |

inline virtual

Definition at line 222 of file filterpass.h.

{};

## Member Function Documentation

## filter()

Trace & FilterScaleFactorY::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 450 of file filterpass.cpp.

{
if(m_factor == 1)
return data_points;
for(auto &&dataPoint : data_points)
{
dataPoint.y = dataPoint.y * m_factor;
}
return data_points;
}

References m_factor.

## getScaleFactorY()

double FilterScaleFactorY::getScaleFactorY | ( |  | ) | const

Definition at line 461 of file filterpass.cpp.

{
return m_factor;
}

References m_factor.

## operator=()

FilterScaleFactorY & FilterScaleFactorY::operator= | ( | const FilterScaleFactorY & | other | ) |

Definition at line 441 of file filterpass.cpp.

{
m_factor = other.m_factor;
return *this;
}

References m_factor.

## Member Data Documentation

## m_factor

double pappso::FilterScaleFactorY::m_factor = 0

private

Definition at line 217 of file filterpass.h.

Referenced by filter(), getScaleFactorY(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterpass.h
- pappsomspp/processing/filters/filterpass.cpp